import "../../../chunks/chunk.QU3DSPNU.js";
import { createElement } from "react";
import { GdsDetails as GdsDetailsClass } from "../../../components/details/details.component.js";
import { getReactComponent } from "../../../utils/react.js";
const GdsDetails = (props) => {
  GdsDetailsClass.define();
  const JSXElement = getReactComponent("gds-details");
  const propsWithClass = { ...props, class: props.className, ref: props.ref };
  return createElement(JSXElement, propsWithClass);
};
GdsDetails.displayName = "GdsDetails";
export {
  GdsDetails
};
